Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 267)
@@ -146,9 +146,6 @@
                 // ソートクリア
                 ClearGridSort(false);
 
-                // データコピーボタン非表示
-                btnDataCopyE.Visible = false;
-
                 string wrkname = tabMenu.SelectedTab.Name;
                 int Tabcount = MenuTabName[wrkname];
 
@@ -163,7 +160,7 @@
                     // ----- グリッドのサイズを変更する
                     TabPageSizeChange(tabMenu.SelectedTab, bNormal);
                 }
-                
+
                 switch (Tabcount)
                 {
                     case (int)TabNameEnum.MessageBoard:
@@ -189,7 +186,6 @@
                     case (int)TabNameEnum.ConstructionProjects:
                         // 受注状況一覧表示
                         DispConstructionProjects();
-                        btnDataCopyE.Visible = true;
                         break;
                     case (int)TabNameEnum.FluctuationProjects:
                         // 増減工事状況一覧表示
@@ -204,7 +200,6 @@
                         // 完了工事一覧
                         SetInitNumUDData(numUDCompletion);      // 営業期選択ボックス初期設定
                         DispCompletionOfConstruction();
-                        btnDataCopyE.Visible = true;
                         break;
                     case (int)TabNameEnum.ActionSchedule:
                         // 行動予定一覧
@@ -216,7 +211,7 @@
                         break;
                     case (int)TabNameEnum.SalesGraph:
                         // 売上グラフ
-                        DispSalesGraph();
+                        DispSalesGraph(true);
                         break;
                     case (int)TabNameEnum.ConstructApproval:
                         // 工事承認
@@ -226,6 +221,11 @@
                         // 担当者承認
                         DispPersonApp();
                         break;
+                    default:
+                        btnReLoadData.Visible = false;
+                        btnConstrSearch.Visible = false;
+                        btnDataCopy.Visible = false;
+                        break;
                 }
             }
             catch (Exception ex)
@@ -332,7 +332,7 @@
                 if (tabPageCnt < 0) return;
 
                 // 設定色セット
-                Color SelectColor = CommonMotions.getBackForeColor(CommonMotions.LoginUserSecurity.SelectBackColor, CommonDefine.PalceOfColor.BackColor);
+                Color SelectColor = CommonMotions.getBackForeColor(CommonMotions.LoginUserSecurity.SelectBackColor, TermMaster.PalceOfColorDef.BackColor);
                 tabMenu.TabPages[tabPageCnt].BackColor = SelectColor;
                 tblLayoutMaster.BackColor = SelectColor;
                 
@@ -1990,6 +1990,89 @@
         #endregion
 
         #region メニュータブ表示関連処理
+        #region プログレスバー表示制御
+        /// <summary>
+        /// メニューボタン定義
+        /// </summary>
+        private enum DispButtonDef
+        {
+            btnCopyFlg = 0,
+            btnReloadFlg,
+            btnSearchFlg,
+        }
+        bool[] m_bDispFlag = new bool[3];
+        /// <summary>
+        /// プログレスバー表示制御
+        /// </summary>
+        /// <param name="bDisp"></param>
+        private void DisplayControlProgressBar(bool bDisp)
+        {
+            try
+            {
+                MainProgressBar.Visible = bDisp;
+                MainProgressBar.Minimum = 0;
+                MainProgressBar.Value = 0;
+
+                if (bDisp)
+                {
+                    btnEnd.Visible = false;
+                    btnLogOut.Visible = false;
+                    btnDataCopy.Visible = false;
+                    btnReLoadData.Visible = false;
+                    btnConstrSearch.Visible = false;
+                }
+                else
+                {
+                    btnEnd.Visible = true;
+                    btnLogOut.Visible = true;
+                    btnDataCopy.Visible = m_bDispFlag[(int)DispButtonDef.btnCopyFlg];
+                    btnReLoadData.Visible = m_bDispFlag[(int)DispButtonDef.btnReloadFlg];
+                    btnConstrSearch.Visible = m_bDispFlag[(int)DispButtonDef.btnSearchFlg];
+                }
+                this.Update();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事検索サブSQL作成
+        /// <summary>
+        /// 工事検索サブSQL作成
+        /// </summary>
+        /// <param name="strSQL"></param>
+        private void DispSearchDataSQL(ref StringBuilder strSQL)
+        {
+            try
+            {
+                // 見積日付検索
+                if (m_EstimateMonth.Length > 0)
+                {
+                    strSQL.AppendFormat(" And (DATE_FORMAT(A.EstimatesSubmittedDate, '%Y%m') = {0})", m_EstimateMonth.Replace("/", ""));
+                }
+
+                // 発注者名検索
+                if (m_Orderer.Length > 0)
+                {
+                    strSQL.AppendFormat(" And (EX.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.OrderersName);
+                    strSQL.AppendFormat(" And EX.DetailString Like '%{0}%')", m_Orderer);
+                }
+                // 工事名称検索
+                if (m_ConstructionName.Length > 0)
+                {
+                    strSQL.AppendFormat(" And (EX.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+                    strSQL.AppendFormat(" And EX.DetailString Like '%{0}%')", m_ConstructionName);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         // *---------------- メニュータブ表示関連処理
         #region 掲示板処理関連
         #region メッセージ確認・作成
@@ -2133,11 +2216,10 @@
             try
             {
                 TabPage tabpage = tabPage2;
-                ProgressBar prgber = UpDateProgress;
+                ProgressBar prgber = MainProgressBar;
                 if (exeflg != (int)TabNameEnum.MessageBoard)
                 {
                     dgv = dgvBusinessMessage;
-                    prgber = BusinessProgress;
                     tabpage = tabPage1;
                 }
 
@@ -2158,12 +2240,16 @@
                     strSQL += " Order By A.WritingDate Desc, A.MessageTitile Asc, B.SeqNum ASC";
                 }
 
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = false;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = false;
+                DisplayControlProgressBar(true);
+
                 ArrayList mbdData = new ArrayList();
                 if (!mbdDB.ExecuteReader(strSQL, ref mbdData)) return;
                 if (mbdData.Count == 0) return;
 
-                prgber.Visible = true;
-                prgber.Minimum = 0;
                 prgber.Maximum = mbdData.Count;
                 tabpage.Update();
                 Thread.Sleep(100);
@@ -2224,7 +2310,6 @@
                 // ProgressBarの値を変更する
                 prgber.Value = prgber.Maximum;
                 prgber.Update();
-                prgber.Visible = false;
             }
             catch (Exception ex)
             {
@@ -2247,6 +2332,7 @@
                     }
                 }
                 dgv.ResumeLayout();
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -2303,7 +2389,7 @@
 
                 strSQL.Append(" AND (B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
                 strSQL.AppendFormat(" AND B.CONSTRUCTIONSTATUSFLG < {0})", iStatus);
-                strSQL.AppendFormat(" AND (D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL.AppendFormat(" AND (D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 strSQL.Append(" AND F.PERSONCODE = E.APPROVALPERSON");
 
                 strSQL.Append(" ORDER BY A.APPROVALCODE DESC, A.PETITIONAPPROVALDATE DESC, A.ORDERNO DESC, A.PERSONCODE ASC, E.DISPLAYORDER DESC");
@@ -2400,13 +2486,18 @@
                 // 行クリア
                 dgv.Rows.Clear();
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = false;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = false;
+                DisplayControlProgressBar(true);
+                
                 // ----- 工事案件毎に最大の承認を取得する
                 ArrayList arData = new ArrayList();
                 if (!GetConstrApp(ref arData)) return;
 
-                ProgressConstrApp.Visible = true;
-                ProgressConstrApp.Minimum = 0;
-                ProgressConstrApp.Maximum = arData.Count;
+                MainProgressBar.Maximum = arData.Count;
                 tabPage3.Update();
 
                 // 行を作成する
@@ -2447,8 +2538,8 @@
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
-                    ProgressConstrApp.Value = ino++;
-                    ProgressConstrApp.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
                 }
 
                 // 最終行の表示
@@ -2463,9 +2554,8 @@
                 dgv.ResumeLayout();
 
                 // ProgressBarの値を変更する
-                ProgressConstrApp.Value = ProgressConstrApp.Maximum;
-                ProgressConstrApp.Update();
-                ProgressConstrApp.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
 
             }
             catch (Exception ex)
@@ -2483,6 +2573,7 @@
 
                 // グリッドソート実行
                 GridSortExcute(dgv);
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -2636,14 +2727,18 @@
             {
                 dgv.Rows.Clear();
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = false;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = false;
+                DisplayControlProgressBar(true);
                 // 担当者承認データを取得する
                 ArrayList arData = new ArrayList();
                 if (!GetPersonApp(ref arData)) return;
 
                 // プログレスバー初期化
-                ProgressPersonApp.Visible = true;
-                ProgressPersonApp.Minimum = 0;
-                ProgressPersonApp.Maximum = arData.Count;
+                MainProgressBar.Maximum = arData.Count;
                 tabPage4.Update();
 
                 // 行を作成する
@@ -2684,8 +2779,8 @@
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
-                    ProgressPersonApp.Value = ino++;
-                    ProgressPersonApp.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
                 }
 
                 // 最終行の表示
@@ -2700,9 +2795,8 @@
                 dgv.ResumeLayout();
 
                 // ProgressBarの値を変更する
-                ProgressPersonApp.Value = ProgressPersonApp.Maximum;
-                ProgressPersonApp.Update();
-                ProgressPersonApp.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
 
             }
             catch (Exception ex)
@@ -2720,6 +2814,7 @@
 
                 // グリッドソート実行
                 GridSortExcute(dgv);
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -3070,11 +3165,11 @@
             {
                 if (FluctuationType)
                 {
-                    strSQL += string.Format(" Where TyingFlg = {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                    strSQL += string.Format(" Where TyingFlg = {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
                 }
                 else
                 {
-                    strSQL += string.Format(" Where TyingFlg != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                    strSQL += string.Format(" Where TyingFlg != {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
                 }
                 strSQL += " AND (";
 
@@ -3097,7 +3192,7 @@
         /// <returns></returns>
         private string CreateListSQL(List<int> Status, bool EstimateType = false)
         {
-            string strSQL = string.Empty;
+            StringBuilder strSQL = new StringBuilder();
             try
             {
                 if (EstimateType)
@@ -3106,21 +3201,21 @@
                     int icode0 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("依頼受け中")).Key;     // 0
                     int icode1 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("見積提出")).Key;       // 1
 
-                    strSQL += string.Format("(ConstructionStatusFlg = {0} Or ConstructionStatusFlg = {1})", icode0, icode1);
+                    strSQL.AppendFormat("(ConstructionStatusFlg = {0} Or ConstructionStatusFlg = {1})", icode0, icode1);
 
-                    strSQL += string.Format(" And EstimateType = {0}", Status[0].ToString());
+                    strSQL.AppendFormat(" And EstimateType = {0}", Status[0].ToString());
                 }
                 else
                 {
                     for (int i = 0; i < Status.Count; i++)
                     {
-                        if (i != 0) strSQL += " Or";
-                        strSQL += string.Format(" ConstructionStatusFlg = {0}", Status[i].ToString());
+                        if (i != 0) strSQL.Append(" Or");
+                        strSQL.AppendFormat(" ConstructionStatusFlg = {0}", Status[i].ToString());
                     }
                 }
-                strSQL += ")";
+                strSQL.Append(")");
 
-                return strSQL;
+                return strSQL.ToString();
             }
             catch (Exception ex)
             {
@@ -3160,23 +3255,23 @@
                     int iPoint = -1;
                     switch (iDetailNo)
                     {
-                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName:
+                        case (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName:
                             iPoint = 0;
                             break;
 
-                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1:
+                        case (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace1:
                             iPoint = 1;
                             break;
 
-                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2:
+                        case (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace2:
                             iPoint = 2;
                             break;
 
-                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3:
+                        case (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3:
                             iPoint = 3;
                             break;
 
-                        case (int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName:
+                        case (int)ConstructionBaseInfoDetail.DataNoDef.OrderersName:
                             iPoint = 4;
                             break;
                         default:
@@ -3205,31 +3300,31 @@
             {
                 Details.Clear();
 
-                string strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName).ToString());
+                string strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName).ToString());
                 List<ConstructionBaseInfoDetail> NameList = new List<ConstructionBaseInfoDetail>();
                 Details.Add("");
                 if (cbiDB.SelectAction(strSQL, ref NameList))
                     if (NameList.Count != 0) Details[0] = NameList[0].DetailString;
 
-                strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1).ToString());
+                strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace1).ToString());
                 List<ConstructionBaseInfoDetail> NameList2 = new List<ConstructionBaseInfoDetail>();
                 Details.Add("");
                 if (cbiDB.SelectAction(strSQL, ref NameList2))
                     if (NameList2.Count != 0) Details[1] = NameList2[0].DetailString;
 
-                strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2).ToString());
+                strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace2).ToString());
                 List<ConstructionBaseInfoDetail> NameList3 = new List<ConstructionBaseInfoDetail>();
                 Details.Add("");
                 if (cbiDB.SelectAction(strSQL, ref NameList3))
                     if (NameList3.Count != 0) Details[2] = NameList3[0].DetailString;
 
-                strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3).ToString());
+                strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3).ToString());
                 List<ConstructionBaseInfoDetail> NameList4 = new List<ConstructionBaseInfoDetail>();
                 Details.Add("");
                 if (cbiDB.SelectAction(strSQL, ref NameList4))
                     if (NameList4.Count != 0) Details[3] = NameList4[0].DetailString;
 
-                strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName).ToString());
+                strSQL = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})", constructionCode, ((int)ConstructionBaseInfoDetail.DataNoDef.OrderersName).ToString());
                 List<ConstructionBaseInfoDetail> NameList5 = new List<ConstructionBaseInfoDetail>();
                 Details.Add("");
                 if (cbiDB.SelectAction(strSQL, ref NameList5))
@@ -3263,8 +3358,8 @@
                 if (!m_CheckProc.ConstructionStatusCheck(wrkRec, DateTime.Now, ref term))
                 {
                     int DataIndex = term.Count - 1;
-                    wrkRow.Cells[4].Style.BackColor = CommonMotions.getBackForeColor(term[DataIndex].BackColor, CommonDefine.PalceOfColor.BackColor);
-                    wrkRow.Cells[4].Style.ForeColor = CommonMotions.getBackForeColor(term[DataIndex].ForeColor, CommonDefine.PalceOfColor.ForeColor);
+                    wrkRow.Cells[4].Style.BackColor = CommonMotions.getBackForeColor(term[DataIndex].BackColor, TermMaster.PalceOfColorDef.BackColor);
+                    wrkRow.Cells[4].Style.ForeColor = CommonMotions.getBackForeColor(term[DataIndex].ForeColor, TermMaster.PalceOfColorDef.ForeColor);
                     wrkRow.Cells[4].ToolTipText = term[0].SendTitle + "／" + term[DataIndex].SendMessage;
                 }
             }
@@ -3309,35 +3404,51 @@
                 dgv.SuspendLayout();
                 dgv.Rows.Clear();
                 // SQL作成
-                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
-                strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
-                strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
-                strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
-                strSQL += ", CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
+                strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                strSQL += CreateSalesInProjectsSQL();
-                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+                if (m_bConstrSearchFlg)
+                {
+                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
+                }
 
-                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC";
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
+                strSQL.Append(" FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C");
+
+                strSQL.Append(CreateSalesInProjectsSQL());
+                strSQL.AppendFormat(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
+
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+
+                strSQL.Append(" Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
 
                 DateTime dStart = DateTime.Now;
                 Console.WriteLine("Read Start :" + dStart.ToString("hh:mm:ss.fff"));
 
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnCopyFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                m_bDispFlag[(int)DispButtonDef.btnSearchFlg] = true;
+                DisplayControlProgressBar(true);
+                
                 // 工事基本情報取得
-                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arData)) return;
                 if (arData.Count == 0) return;
 
                 DateTime dEnd = DateTime.Now;
                 Console.WriteLine("Read End   :" + dEnd.ToString("hh:mm:ss.fff") + "==" + (dEnd - dStart).ToString());
 
-                ProgressSalesProjects.Visible = true;
-                ProgressSalesProjects.Minimum = 0;
-                ProgressSalesProjects.Maximum = arData.Count;
+                MainProgressBar.Maximum = arData.Count;
                 tabPage5.Update();
                 //Thread.Sleep(100);
 
@@ -3351,6 +3462,10 @@
                 int iLineCnt = 0;
                 int DBCnt = Enum.GetNames(typeof(DBColumn1)).Length;
                 int BreakConstructionCode = 0;
+
+                ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                object[] wrkobj = new object[Enum.GetNames(typeof(IOConstructionBaseInfo.TableColumn)).Length];
+
                 foreach (object[] wrkRec in arData)
                 {
                     int iConstructionCode = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionCode]);
@@ -3398,9 +3513,8 @@
                                                 , Details[4]);
 
                     // データを工事情報のフォーマットに詰めなおす
-                    ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
                     int objCnt = wrkRec.Length - DBCnt;
-                    object[] wrkobj = new object[objCnt];
+                    Array.Clear(wrkobj, 0, wrkobj.Length);
                     for (int i = 0; i < objCnt; i++)
                     {
                         wrkobj[i] = wrkRec[i + DBCnt];
@@ -3417,8 +3531,8 @@
                     SetCellApprovalColor(CurCell, iApprovalCode, iApprovalStatus);
 
                     // ProgressBarの値を変更する
-                    ProgressSalesProjects.Value = ino++;
-                    ProgressSalesProjects.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
                 dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
@@ -3426,9 +3540,8 @@
                 dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
                 // ProgressBarの値を変更する
-                ProgressSalesProjects.Value = ProgressSalesProjects.Maximum;
-                ProgressSalesProjects.Update();
-                ProgressSalesProjects.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
 
                 DateTime dAEnd = DateTime.Now;
                 Console.WriteLine("Read End   :" + dAEnd.ToString("hh:mm:ss.fff") + "==" + (dAEnd - dStart).ToString());
@@ -3449,6 +3562,7 @@
                 GridSortExcute(dgv);
                 cbiDB.close(); cbiDB = null;
                 dgv.ResumeLayout();
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -3463,7 +3577,7 @@
             try
             {
                 List<int> stat = new List<int>();
-                stat.Add((int)CommonDefine.BaseInfoEstimateType.Normal);
+                stat.Add((int)ConstructionBaseInfo.EstimateTypeDef.Normal);
 
                 strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat, true);
